net.i2p.i2ptunnel.ui

## Class Messages

- java.lang.Object
- - net.i2p.i2ptunnel.ui.Messages

-     public class Messages
      extends Object

  Translate strings for this package. This is for the strings in the UI. Bundles are in the war. Note that there are separate bundles for the proxy error messages in the jar, which are not accessed by this class.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Messages()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `_t(String key)` lang in routerconsole.lang property, else current locale
    `static String` | `_t(String key, I2PAppContext ctx)`
    `String` | `_t(String s, Object o)` translate a string with a parameter This is a lot more expensive than getString(s, ctx), so use sparingly.
    `String` | `_t(String s, Object o1, Object o2)`
    `String` | `ngettext(String s, String p, int n)` translate (ngettext)
    `static String` | `ngettext(String s, String p, int n, I2PAppContext ctx)` translate (ngettext)

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Messages

          public Messages()

  - ### Method Detail

    - #### _t

          public String _t(String key)

      lang in routerconsole.lang property, else current locale

    - #### _t

          public static String _t(String key,
                                  I2PAppContext ctx)

    - #### _t

          public String _t(String s,
                           Object o)

      translate a string with a parameter This is a lot more expensive than getString(s, ctx), so use sparingly.
      Parameters:
        `s` - string to be translated containing {0} The {0} will be replaced by the parameter. Single quotes must be doubled, i.e. ' -> '' in the string.
        `o` - parameter, not translated. To translate parameter also, use _t("foo {0} bar", _t("baz")) Do not double the single quotes in the parameter. Use autoboxing to call with ints, longs, floats, etc.

    - #### _t

          public String _t(String s,
                           Object o1,
                           Object o2)

    - #### ngettext

          public String ngettext(String s,
                                 String p,
                                 int n)

      translate (ngettext)

    - #### ngettext

          public static String ngettext(String s,
                                        String p,
                                        int n,
                                        I2PAppContext ctx)

      translate (ngettext)